Bug 1320739 - conky: unknown variable '$tcp_portmon'
Summary: conky: unknown variable '$tcp_portmon'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: conky
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-23 21:40 UTC by rvcsaba
Modified: 2016-05-12 01:31 UTC (History)
3 users (show)

Fixed In Version: conky-1.10.1-5.20160413git06f87b.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 01:31:03 UTC


Attachments (Terms of Use)
.conkyrc file (7.75 KB, text/plain)
2016-03-23 21:40 UTC, rvcsaba
no flags Details
conky.spec (10.56 KB, text/x-matlab)
2016-05-01 21:32 UTC, rvcsaba
no flags Details
conky.spec.patch (1.03 KB, patch)
2016-05-01 21:33 UTC, rvcsaba
no flags Details | Diff
conky.spec.patch (1.42 KB, patch)
2016-05-02 20:11 UTC, rvcsaba
no flags Details | Diff

Description rvcsaba 2016-03-23 21:40:34 UTC
Created attachment 1139756 [details]
.conkyrc file

Description of problem:

Conky report for me this:

conky: unknown variable '$tcp_portmon'


Version-Release number of selected component (if applicable):

conky-1.10.1-4.20160110gitb38ab1.fc24.x86_64


How reproducible:

Please see my .conkyrc file!

Comment 1 dominique 2016-04-29 08:24:45 UTC
I have same issue with conky 1.10 and tcp_portmon.
But I think it's not a bug with fedora, but an issue in development in conky 1.10.

I send a request to the dev here : https://github.com/brndnmtthws/conky/issues/245

Wait and see.

Comment 2 dominique 2016-04-30 15:59:01 UTC
The devs for conky said that tcp_portmon work, for test I the fedora's conky 1.10 rpm source, and in the spec I can see that : 
...................................................................................
%build
%cmake \
-DMAINTAINER_MODE=ON \
-DBUILD_BUILTIN_CONFIG=OFF \
-DBUILD_PORT_MONITORS=OFF \
%{?with_audacious: -DBUILD_AUDACIOUS=ON} \
%{?with_curl: -DBUILD_CURL=ON} \
..................................................................................

I rebuild conky with -DBUILD_PORT_MONITORS=ON \, that work, I have a new rpm, but when I want upgrade I have this error : 

Erreur : nothing provides libtcp-portmon.so()(64bit) needed by conky-1.10.1-5.20160110gitb38ab1.fc25.x86_64

How to solve this issue ?

Comment 3 rvcsaba 2016-05-01 21:32:02 UTC
Created attachment 1152824 [details]
conky.spec

(In reply to dominique from comment #2)
> Erreur : nothing provides libtcp-portmon.so()(64bit) needed by
> conky-1.10.1-5.20160110gitb38ab1.fc25.x86_64
> 
> How to solve this issue ?

I rebuilt conky, work it. Please see my dirty spec file!

Comment 4 rvcsaba 2016-05-01 21:33:44 UTC
Created attachment 1152825 [details]
conky.spec.patch

Only changes, spec diff file.

Comment 5 dominique 2016-05-02 16:07:32 UTC
Thank rvcsaba, I apply the patch and that don't work, I have this error : 

+ install -m0755 -p src/libtcp-portmon.so /home/dominique/rpmbuild/BUILDROOT/conky-1.10.1-6.20160110gitb38ab1.fc25.x86_64/usr/lib64/conky/libtcp-portmon.so
install: cannot stat 'src/libtcp-portmon.so': No such file or directory
erreur : Mauvais statut de sortie pour /var/tmp/rpm-tmp.NX37kL (%install)

I think you forget, in the patch, 


                            -DBUILD_PORT_MONITORS=OFF \
to
                            -DBUILD_PORT_MONITORS=ON \

With this change, rpm is building, and when I install, no problem, and variable '$tcp_portmon' work fine.

Comment 6 rvcsaba 2016-05-02 19:48:23 UTC
I'm sorry, yes of course! First I changed -DBUILD_PORT_MONITORS=ON, than cp conky.spec conky.spec.orig, my diff file doesn't include -DBUILD_PORT_MONITORS=ON.

(Sorry my very poor english.)

(In reply to dominique from comment #5)
> 
> I think you forget, in the patch, 
> 
> 
>                             -DBUILD_PORT_MONITORS=OFF \
> to
>                             -DBUILD_PORT_MONITORS=ON \
> 
> With this change, rpm is building, and when I install, no problem, and
> variable '$tcp_portmon' work fine.

Comment 7 rvcsaba 2016-05-02 20:11:24 UTC
Created attachment 1153033 [details]
conky.spec.patch

Comment 8 Miroslav Lichvar 2016-05-03 16:42:38 UTC
The port monitor should be now enabled in conky-1.10.1-5.20160413git06f87b.fc24. The problem with libtcp-portmon.so was hopefully fixed by disabling BUILD_SHARED_LIBS, which was enabled by the %cmake macro.

Comment 9 Fedora Update System 2016-05-03 16:56:45 UTC
conky-1.10.1-5.20160413git06f87b.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-96da93e2e1

Comment 10 dominique 2016-05-03 17:51:57 UTC
This update (conky-1.10.1-5.20160413git06f87b.fc24) solve for me the issue.
I send a karma to bohdi.
Thank Miroslav.

Comment 11 Fedora Update System 2016-05-04 14:29:27 UTC
conky-1.10.1-5.20160413git06f87b.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-96da93e2e1

Comment 12 Fedora Update System 2016-05-12 01:31:00 UTC
conky-1.10.1-5.20160413git06f87b.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.